Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.model
Class PropertyValue

    java.lang.Object
      org.modeshape.graph.query.model.PropertyValue

All Implemented Interfaces:
  Serializable, DynamicOperand, LanguageObject, Visitable

Direct Known Subclasses:
  JcrPropertyValue

    @Immutable
    public class PropertyValue

extends Object
implements DynamicOperand

A dynamic operand that evaluates to the value(s) of a property on a selector, used in a `Comparison` constraint.

See Also:
  Serialized Form

Constructor Summary
`PropertyValue(SelectorName selectorName, String propertyName)` Create a dynamic operand that evaluates to the property values of the node identified by the selector.

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`String` | `propertyName()` Get the name of the property.
`SelectorName` | `selectorName()` Get the selector symbol upon which this operand applies.
`Set<SelectorName>` | `selectorNames()` Get the selector symbols to which this operand applies.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyValue

    public PropertyValue(SelectorName selectorName,
                         String propertyName)

  Create a dynamic operand that evaluates to the property values of the node identified by the selector.

  Parameters:
    `selectorName` - the name of the selector
    `propertyName` - the name of the property
  Throws:
    `IllegalArgumentException` - if the selector name or property name are null

Method Detail

### selectorName

    public SelectorName selectorName()

  Get the selector symbol upon which this operand applies.

  Returns:
    the one selector names used by this operand; never null

### selectorNames

    public Set<SelectorName> selectorNames()

  Get the selector symbols to which this operand applies.

  Specified by:
    `selectorNames` in interface `DynamicOperand`
  Returns:
    the immutable ordered set of non-null selector names used by this operand; never null and never empty
  See Also:
    `DynamicOperand.selectorNames()`

### propertyName

    public final String propertyName()

  Get the name of the property.

  Returns:
    the property name; never null

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### accept

    public void accept(Visitor visitor)

  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Specified by:
    `accept` in interface `Visitable`
  Parameters:
    `visitor` - the visitor; never null
  See Also:
    `Visitable.accept(org.modeshape.graph.query.model.Visitor)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.